10/28/2016 12:22 PM - Bryce Mecum

Status: Resolved Start date: 10/28/2016
Priority: Normal Due date:

Assignee: dJing Tao % Done: 0%
Category: index Estimated time: 0.00 hour
Target version: 2.8.1 Spent time: 0.00 hour
Bugzilla-ld:

Description

Jesse just pointed out this strange behavior to me. With Chrome, | get a "Failed -- Needs authorization" error in my download toolbar
when | click the Download button on this metadata doc. | expected to be able to download the file this way and not to receive an
error.

To reproduce:

- Log in to https:/arcticdata.io/catalog

- Browse to https://arcticdata.io/catalog/#view/arctic-data.1580.1

- Click the "Download" button in the row for "Metadata: Passive acoustic data from A2 in the Bering Strait"
- Observe the download fails and that, at least in Chrome, you see a "Failed - Needs authorization" error

To check that this was a problem with MetacatUI instead of something else, | used my token and the R client to get sysmeta on the
object (successful) and bytes (successful). So something's up.

History

#1 - 10/31/2016 08:49 AM - Lauren Walker

Can you try reindexing that document? It is not a public metadata doc, but Solr still has isPublic=true, so the Ul thinks it is public and displays it to the
public user. (I would try reindexing it myself but | am not an admin on the arctic metacat for some reason)

#2 - 11/21/2016 10:35 AM - Lauren Walker
- Project changed from MetacatUI to Metacat
- Subject changed from Can't download metadata with Download button to Private metadata is indexed as isPublic=true

- Category set to index

I'm moving this ticket to metacat since this is an indexing problem, not a Ul bug.

The metadata doc only gives readPermission to CN=arctic-data-admins,DC=dataone,DC=org and http://orcid.org/0000-0003-0039-5025. But it is
indexed as isPublic=true.

#3 - 11/21/2016 02:19 PM - Jing Tao
- Assignee set to Jing Tao

- Target version set to 2.8.1

#4 - 12/09/2016 04:58 PM - Jing Tao

- Status changed from New to In Progress

| believe this document was changed from public to private. Our solr merge mechanism had an issue:
https://projects.ecoinformatics.org/ecoinfo/issues/7156
It has been fixed. | will ask Bryce to index this document.

#5 - 12/12/2016 03:45 PM - Jing Tao

- Status changed from In Progress to Resolved

Bryce confirmed that the object was switched from public readable to private readable. Chris reindexed it ant it still is public readable.
So this bug relates to the fixed one:
https://projects.ecoinformatics.org/ecoinfo/issues/7156

Our solr index merge mechanism will merge existing system metadata fields back to the new solr doc which doesn't have the fields. See this case,
the isPublic field doesn't exist in the new solr doc, but it does exist in the existing record in the solr server. So it merged this field back. The bug was

fixed.
